ifparse(8)

NAME

ifparse - redisplay interface configuration in different formats

SYNOPSIS

ifparse [<options>...] <interfaces...>

ifparse -A|--all

DESCRIPTION

ifparse is used to extract information from the interface configuration file. It is intended to be used to translate the interface configuration stanzas between different formats.

OPTIONS

-a, --auto
    Only match interfaces that are marked as auto.

-h, --help
    Display supported options to ifquery.

-i, --interfaces FILE
    Use FILE as the config database.

-F, --format FORMAT
    Use FORMAT to determine what format to use. ifupdown and yaml-raw formats are available.

-I, --include PATTERN
    Include PATTERN when matching against the config or state database.

-U, --allow-undefined
    Create virtual interfaces for any interfaces not explicitly defined in the configuration file. This is primarily useful for property queries.

-S, --state-file FILE
    Use FILE as the state database.

-T, --timeout TIMEOUT
    Wait up to TIMEOUT seconds for executors to complete before raising an error.

-V, --version
    Print the ifupdown-ng version and exit.

-X, --exclude PATTERN
    Exclude PATTERN when matching against the config or state database.

SEE ALSO

ifup(8)
ifdown(8)
ifquery(8)
interfaces(5)

AUTHORS

Ariadne Conill <ariadne@dereferenced.org>